unit ParticleBoolFunction;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, BoolFunction, Particle;

type
  TBoolColIndex = class(TBoolFunction)
    public
      constructor Create(collision_index : Integer);

      function Value(sender : TObject) : Boolean; override;
    protected
      col_ind : Integer;
  end;

implementation

constructor TBoolColIndex.Create(collision_index : Integer);
begin
  col_ind := collision_index;
end;

function TBoolColIndex.Value(sender : TObject) : Boolean;
begin
  Result := ((TParticle(sender)).col_index >= col_ind);
end;

end.

